#include <jsoncons/json.hpp>
#include <iostream>
#include <httplib.h>
#include <spdlog/spdlog.h>
#include "utils.hpp"

using namespace std;
using namespace jsoncons;
using namespace evutils;


string url = "evcloudsvc.ilabservice.cloud:7123";

int main()
{
    json j = json();
    cout <<j.to_string();

    auto uri = httplib::Uri::Parse(url);
    spdlog::info("{} {} {} {} {}", uri.Protocol, uri.Host, uri.Port, uri.User, uri.Password);
    uint64_t total = 0,  free = 0;
    if(get_sdcard_megabytes(total, free)) {
        spdlog::info("total: {}, free: {}", total, free);
    }
    char mac[13] = {0};
    get_mac_addr(mac);
    spdlog::info("mac: {}", mac);
}